com.intellectualcrafters.jnbt

## Class DoubleTag

- java.lang.Object
- - com.intellectualcrafters.jnbt.Tag
  - - com.intellectualcrafters.jnbt.DoubleTag

-     public final class DoubleTag
      extends Tag

  The `TAG_Double` tag.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DoubleTag(double value)` Creates the tag with an empty name.
    `DoubleTag(java.lang.String name, double value)` Creates the tag.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Double` | `getValue()` Gets the value of this tag.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.intellectualcrafters.jnbt.Tag

      `getName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DoubleTag

          public DoubleTag(double value)

      Creates the tag with an empty name.
      Parameters:
        `value` - the value of the tag

    - #### DoubleTag

          public DoubleTag(java.lang.String name,
                   double value)

      Creates the tag.
      Parameters:
        `name` - the name of the tag
        `value` - the value of the tag

  - ### Method Detail

    - #### getValue

          public java.lang.Double getValue()

      Description copied from class: `Tag`
      Gets the value of this tag.
      Specified by:
        `getValue` in class `Tag`
      Returns:
        the value

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`